cURL
curl --request PUT \
--url http://127.0.0.1:3333/v3/theme-templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"theme": {}
}
'import requests
url = "http://127.0.0.1:3333/v3/theme-templates/{id}"
payload = {
"name": "<string>",
"theme": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', theme: {}})
};
fetch('http://127.0.0.1:3333/v3/theme-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"themeTemplate": {
"id": "<string>",
"name": "<string>",
"theme": {},
"workspaceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Theme Templates
Update Theme Templates
Update Theme Templates with the Sendbot API v3.
PUT
/
v3
/
theme-templates
/
{id}
cURL
curl --request PUT \
--url http://127.0.0.1:3333/v3/theme-templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"theme": {}
}
'import requests
url = "http://127.0.0.1:3333/v3/theme-templates/{id}"
payload = {
"name": "<string>",
"theme": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', theme: {}})
};
fetch('http://127.0.0.1:3333/v3/theme-templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"themeTemplate": {
"id": "<string>",
"name": "<string>",
"theme": {},
"workspaceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Default Response
Show child attributes
Show child attributes